"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const chalk_1 = tslib_1.__importDefault(require("chalk"));
const Application_1 = require("../libs/Application");
/**
 * 个人认证
 */
let User = class User extends Application_1.JKModule {
    constructor() {
        super(...arguments);
        this.action = () => tslib_1.__awaiter(this, void 0, void 0, function* () {
            var _a, _b, _c, _d;
            try {
                const user = yield ((_b = (_a = this.ctx) === null || _a === void 0 ? void 0 : _a.Api) === null || _b === void 0 ? void 0 : _b.user());
                if (!user) {
                    throw new Error("user can not found");
                }
                console.log(chalk_1.default.green(`current login user is: ${chalk_1.default.blue(user.login)}`));
            }
            catch (error) {
                console.log(chalk_1.default.red("user can not found!"));
                (_d = (_c = this.ctx) === null || _c === void 0 ? void 0 : _c.Login) === null || _d === void 0 ? void 0 : _d.confirm();
            }
        });
    }
};
User = tslib_1.__decorate([
    Application_1.Command({
        command: "whoami",
        description: "who am i?",
        alias: "w",
    })
], User);
exports.default = User;
