import { JKUtil } from "../libs/Application";
export interface IInput {
    defaultValue?: string;
    message?: string;
    required?: boolean;
    check?: (val: string) => Promise<any>;
}
declare class Form extends JKUtil {
    confirm(title?: string): Promise<unknown>;
    /**
     * input
     */
    input(props?: IInput): Promise<unknown>;
    /**
     * list
     */
    list(props: any): Promise<unknown>;
    /**
     * edit
     */
    edit({ message, defaultValue }: {
        message?: string | undefined;
        defaultValue?: string | undefined;
    }): Promise<unknown>;
}
export default Form;
