"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const path_1 = tslib_1.__importDefault(require("path"));
class Constant {
}
// 获取项目仓库正则
Constant.REPOI_RE = /origin\t(.+)\s\(fetch\)/;
// 项根目录路径
Constant.ROOT = process.env.HOME || process.env.USERPROFILE || "";
// jk root 目录
Constant.JK_ROOT = path_1.default.join(Constant.ROOT, "/.jkt");
// jk配置路径
Constant.JK_CONFIG = path_1.default.join(Constant.ROOT, "/.jkt/config");
// jk配置路径
Constant.JK_TOKEN = path_1.default.join(Constant.ROOT, "/.jkt/token");
// jk user配置路径
Constant.JK_USER = path_1.default.join(Constant.ROOT, "/.jkt/user");
// url前缀
Constant.PREFIX = "https://www.jikequan.net/api";
// 多久检测一次版本
Constant.checkVersionTimeInterval = 60 * 60 * 1000;
// auth port
Constant.AUTH_PORT = 65436;
exports.default = Constant;
