"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.checkNpmUrl = exports.checkGitUrl = void 0;
const tslib_1 = require("tslib");
const latest_version_1 = tslib_1.__importDefault(require("latest-version"));
const checkGitUrl = (url) => {
    return new Promise((resolve, reject) => {
        if (url.endsWith(".git")) {
            resolve(true);
        }
        else {
            reject("url error");
        }
    });
};
exports.checkGitUrl = checkGitUrl;
const checkNpmUrl = (name) => {
    return new Promise((resolve, reject) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
        try {
            const lastVersion = yield latest_version_1.default(name);
            resolve(lastVersion);
        }
        catch (error) {
            reject("packege not found!");
        }
    }));
};
exports.checkNpmUrl = checkNpmUrl;
