"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HomeCommand = exports.CheckCommand = void 0;
const tslib_1 = require("tslib");
/* eslint-disable prefer-const */
const Application_1 = require("../libs/Application");
/**
 * check
 */
let CheckCommand = class CheckCommand extends Application_1.JKModule {
    constructor() {
        super(...arguments);
        this.action = () => tslib_1.__awaiter(this, void 0, void 0, function* () {
            var _a, _b;
            yield ((_b = (_a = this.ctx) === null || _a === void 0 ? void 0 : _a.Version) === null || _b === void 0 ? void 0 : _b.check(false));
        });
    }
};
CheckCommand = tslib_1.__decorate([
    Application_1.Command({
        command: "check",
        description: "check the npm version",
        alias: "c",
    })
], CheckCommand);
exports.CheckCommand = CheckCommand;
/**
 *
 */
let HomeCommand = class HomeCommand extends Application_1.JKModule {
    constructor() {
        super(...arguments);
        this.action = () => tslib_1.__awaiter(this, void 0, void 0, function* () {
            var _a, _b;
            yield ((_b = (_a = this.ctx) === null || _a === void 0 ? void 0 : _a.Website) === null || _b === void 0 ? void 0 : _b.Home());
        });
    }
};
HomeCommand = tslib_1.__decorate([
    Application_1.Command({
        command: "home",
        description: "open homepage",
    })
], HomeCommand);
exports.HomeCommand = HomeCommand;
