"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LogoutCommand = exports.LoginCommand = void 0;
const tslib_1 = require("tslib");
/* eslint-disable prefer-const */
// import { Command } from "../utils/Bootstrap";
const Application_1 = require("../libs/Application");
/**
 * login
 */
let LoginCommand = class LoginCommand extends Application_1.JKModule {
    constructor() {
        super(...arguments);
        this.action = () => tslib_1.__awaiter(this, void 0, void 0, function* () {
            var _a, _b;
            yield ((_b = (_a = this.ctx) === null || _a === void 0 ? void 0 : _a.Login) === null || _b === void 0 ? void 0 : _b.action());
        });
    }
};
LoginCommand = tslib_1.__decorate([
    Application_1.Command({
        command: "login",
        description: "login account and synchronize data",
    })
], LoginCommand);
exports.LoginCommand = LoginCommand;
/**
 * logout
 */
let LogoutCommand = class LogoutCommand extends Application_1.JKModule {
    constructor() {
        super(...arguments);
        this.action = () => tslib_1.__awaiter(this, void 0, void 0, function* () {
            var _a, _b;
            yield ((_b = (_a = this.ctx) === null || _a === void 0 ? void 0 : _a.Login) === null || _b === void 0 ? void 0 : _b.logout());
        });
    }
};
LogoutCommand = tslib_1.__decorate([
    Application_1.Command({
        command: "logout",
        description: "logout account",
    })
], LogoutCommand);
exports.LogoutCommand = LogoutCommand;
