import { AxiosResponse } from "axios";
import { JKUtil } from "../libs/Application";
declare class Api extends JKUtil {
    get token(): string;
    handle(res: AxiosResponse<any>, url: string, headers: {} | undefined, method: string, postData?: {}): Promise<any>;
    /**
     * get method
     * @param url
     * @param headers
     * @returns
     */
    get(url: string, headers?: {}): any;
    /**
     * delete method
     * @param url
     * @param headers
     * @returns
     */
    delete(url: string, headers?: {}): any;
    /**
     * post method
     * @param url
     * @param headers
     * @param data
     * @returns
     */
    post(url: string, headers?: {}, data?: {}): Promise<any>;
    /**
     * put method
     * @param url
     * @param headers
     * @param data
     * @returns
     */
    put(url: string, headers?: {}, data?: {}): Promise<any>;
    /**
     * user
     */
    user(): Promise<any>;
    /**
     * fragments
     */
    fragments(): Promise<any>;
    /**
     * saveGroup
     */
    saveGroup(values: any): Promise<any>;
    /**
     * saveGroup
     */
    updateGroup(id: string, values: any): Promise<any>;
    /**
     * saveGroup
     */
    groupLists(): Promise<any>;
    /**
     * saveGroup
     */
    group(id: string): Promise<any>;
    /**
     * ids
     */
    ids(): Promise<any>;
    /**
     * remove
     */
    remove(id: string): Promise<any>;
    /**
     * remove
     */
    getOneById(id: string): Promise<any>;
}
export default Api;
