"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const art_template_1 = tslib_1.__importDefault(require("art-template"));
const Application_1 = require("../libs/Application");
class Template extends Application_1.JKUtil {
    constructor() {
        super();
        this.template = art_template_1.default;
        this.template.defaults.imports.firstCharToUpperCase = this.firstCharToUpperCase;
    }
    /**
     * firstCharToUpperCase
     */
    firstCharToUpperCase(str = "") {
        return str.toLowerCase().replace(/( |^)[a-z]/g, (L) => L.toUpperCase());
    }
}
exports.default = Template;
