"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const Api_1 = tslib_1.__importDefault(require("../common/Api"));
const Auth_1 = tslib_1.__importDefault(require("../common/Auth"));
const Config_1 = tslib_1.__importDefault(require("../common/Config"));
const Form_1 = tslib_1.__importDefault(require("../common/Form"));
const Loading_1 = tslib_1.__importDefault(require("../common/Loading"));
const Login_1 = tslib_1.__importDefault(require("../common/Login"));
const Step_1 = tslib_1.__importDefault(require("../common/Step"));
const Template_1 = tslib_1.__importDefault(require("../common/Template"));
const Token_1 = tslib_1.__importDefault(require("../common/Token"));
const User_1 = tslib_1.__importDefault(require("../common/User"));
const Version_1 = tslib_1.__importDefault(require("../common/Version"));
const Website_1 = tslib_1.__importDefault(require("../common/Website"));
const Application_1 = tslib_1.__importDefault(require("./Application"));
const providers = [Login_1.default, Api_1.default, Token_1.default, User_1.default, Form_1.default, Auth_1.default, Loading_1.default, Version_1.default, Config_1.default, Website_1.default, Template_1.default, Step_1.default];
Application_1.default.providers(providers);
Application_1.default.start();
